#ifndef AMPEL_H_INCLUDED
#define AMPEL_H_INCLUDED
/*****************************************************************
 * Libraries                                                     *
 *****************************************************************/
//TODO: check header dependencies, and simplify if possible.
#include "config.h"
#ifndef MEASUREMENT_TIMESTEP
#  error Missing config.h file. Please copy config.example.h to config.h.
#endif

#ifdef CSV_WRITER
#  include "csv_writer.h"
#endif
#ifdef MQTT
#  include "mqtt.h"
#endif
#ifdef LORAWAN
#  include "lorawan.h"
#endif
#ifdef HTTP
#  include "web_server.h"
#endif

#include "util.h"
#include "wifi_util.h"
#include "co2_sensor.h"

#include "led_effects.h"

#if defined(ESP8266)
//allows sensor to be seen as SENSOR_ID.local, from the local network. For example : espd03cc5.local
#  include <ESP8266mDNS.h>
#elif defined(ESP32)
#  include <ESPmDNS.h>
#endif

void keepServicesAlive();
void checkFlashButton();

#endif
